From: "Sebastien Fabbro" <bicatali@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/lapacke-reference/
Date: Fri, 26 Oct 2012 16:53:35 +0000 (UTC) [thread overview]
Message-ID: <1351270388.e550fbd91e898a4c111a8f8964fded059f66e32a.bicatali@gentoo> (raw)
commit: e550fbd91e898a4c111a8f8964fded059f66e32a
Author: Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 26 16:53:08 2012 +0000
Commit: Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Fri Oct 26 16:53:08 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=e550fbd9
sci-libs/lapacke-reference: Version bump. Restore the reflapack library name instead of lapack
Package-Manager: portage-2.2.0_alpha141
---
sci-libs/lapacke-reference/ChangeLog | 8 ++-
.../lapacke-reference-3.4.2.ebuild | 92 ++++++++++++++++++++
2 files changed, 99 insertions(+), 1 deletions(-)
diff --git a/sci-libs/lapacke-reference/ChangeLog b/sci-libs/lapacke-reference/ChangeLog
index 54664ec..c82c7a1 100644
--- a/sci-libs/lapacke-reference/ChangeLog
+++ b/sci-libs/lapacke-reference/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*lapacke-reference-3.4.2 (26 Oct 2012)
+
+ 26 Oct 2012; Sébastien Fabbro <bicatali@gentoo.org>
+ +lapacke-reference-3.4.2.ebuild:
+ sci-libs/lapacke-reference: Version bump. Restore the reflapack library name
+ instead of lapack
+
22 May 2012; Justin Lecher <jlec@gentoo.org> lapacke-reference-3.4.1.ebuild:
Add missing eutils.eclass
@@ -42,4 +49,3 @@
05 Dec 2010; Sébastien Fabbro <bicatali@gentoo.org>
lapacke-1.0.0.009.ebuild, +metadata.xml:
Initial import
-
diff --git a/sci-libs/lapacke-reference/lapacke-reference-3.4.2.ebuild b/sci-libs/lapacke-reference/lapacke-reference-3.4.2.ebuild
new file mode 100644
index 0000000..07c6fc0
--- /dev/null
+++ b/sci-libs/lapacke-reference/lapacke-reference-3.4.2.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit alternatives-2 cmake-utils eutils fortran-2
+
+MYP=lapack-${PV}
+
+DESCRIPTION="C Interface to LAPACK"
+HOMEPAGE="http://www.netlib.org/lapack/"
+SRC_URI="http://www.netlib.org/lapack/${MYP}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs test xblas"
+
+RDEPEND="
+ virtual/blas
+ virtual/lapack
+ xblas? ( sci-libs/xblas )"
+DEPEND="${RDEPEND}
+ test? ( virtual/fortran )
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MYP}"
+
+src_prepare() {
+ # avoid collision with other lapack
+ sed -i \
+ -e 's:BINARY_DIR}/lapacke.pc:BINARY_DIR}/reflapacke.pc:' \
+ -e '/export/s:lapacke:reflapacke:g' \
+ -e '/ALL_TARGETS/s:lapacke):reflapacke):' \
+ -e '/LAPACK_LIBRARIES/s:lapacke:reflapacke:g' \
+ CMakeLists.txt || die
+ sed -i \
+ -e 's:(lapacke:(reflapacke:g' \
+ lapacke/CMakeLists.txt || die
+ sed -i \
+ -e 's:lapacke:reflapacke:g' \
+ lapacke/example/CMakeLists.txt || die
+ sed -i \
+ -e 's:-llapacke:-lreflapacke:g' \
+ lapacke/lapacke.pc.in || die
+ use static-libs && mkdir "${WORKDIR}/${PN}_static"
+}
+
+src_configure() {
+ lapack_configure() {
+ local mycmakeargs=(
+ -DUSE_OPTIMIZED_BLAS=ON
+ -DUSE_OPTIMIZED_LAPACK=ON
+ -DLAPACKE=ON
+ -DBLAS_LIBRARIES="$(pkg-config --libs blas)"
+ -DLAPACK_LIBRARIES="$(pkg-config --libs lapack)"
+ $(cmake-utils_use_build test TESTING)
+ $(cmake-utils_use_use xblas XBLAS)
+ $@
+ )
+ cmake-utils_src_configure
+ }
+
+ lapack_configure -DBUILD_SHARED_LIBS=ON -DBUILD_STATIC_LIBS=OFF
+ use static-libs && \
+ CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" lapack_configure \
+ -DBUILD_SHARED_LIBS=OFF -DBUILD_STATIC_LIBS=ON
+}
+
+src_compile() {
+ use test && cmake-utils_src_compile -C TESTING/MATGEN
+ cmake-utils_src_compile -C lapacke
+ use static-libs && CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" \
+ cmake-utils_src_compile -C lapacke
+}
+
+src_test() {
+ pushd "${CMAKE_BUILD_DIR}/lapacke" > /dev/null
+ local ctestargs
+ [[ -n ${TEST_VERBOSE} ]] && ctestargs="--extra-verbose --output-on-failure"
+ ctest ${ctestargs} || die
+ popd > /dev/null
+}
+
+src_install() {
+ cmake-utils_src_install -C lapacke
+ use static-libs && CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" \
+ cmake-utils_src_install -C lapacke
+ alternatives_for lapacke reference 0 \
+ /usr/$(get_libdir)/pkgconfig/lapacke.pc reflapacke.pc
+}
next reply other threads:[~2012-10-26 16:54 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-10-26 16:53 Sebastien Fabbro [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-06-21 19:47 [gentoo-commits] proj/sci:master commit in: sci-libs/lapacke-reference/ Justin Lecher
2018-06-21 19:47 Justin Lecher
2016-01-06 9:39 Marius Brehler
2015-12-03 10:03 Justin Lecher
2015-12-03 9:55 Justin Lecher
2015-12-03 9:54 Justin Lecher
2015-11-30 18:33 Justin Lecher
2015-11-28 18:59 Justin Lecher
2015-11-28 18:08 Justin Lecher
2014-01-28 19:01 Sebastien Fabbro
2014-01-28 19:01 Sebastien Fabbro
2013-05-25 4:40 Sebastien Fabbro
2013-05-25 4:40 Sebastien Fabbro
2012-11-29 0:06 Sebastien Fabbro
2012-05-22 19:43 Justin Lecher
2012-02-23 9:18 Justin Lecher
2012-02-17 16:26 Sebastien Fabbro
2012-02-16 0:38 Sebastien Fabbro
2011-08-22 19:26 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1351270388.e550fbd91e898a4c111a8f8964fded059f66e32a.bicatali@gentoo \
--to=bicatali@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox